function [ShaftPosition, CircuitControl, Settings, Enforce, Userdata] = ...
          simscript_generic(Outputs,Settings,Userdata,Circuit,Drive,Geometry,Mesh,Windings,A,cell_p,cell_t,cell_Nu,path)
% Empty simulation script file
% Copyright 2008-2024, Vladimir Kuptsov
CircuitControl=[];
ShaftPosition=[];
% keep the same speed settings
if strcmp(Settings.DF_SpeedDependency,'Fixed speed simulation')
    Enforce.speed=2*pi*Settings.DF_Speed/60; %Gui Speed
elseif strcmp(Settings.DF_SpeedDependency,'Variable speed simulation')
    Enforce=[];
end

%Store Voltage and curent from R1
if ~isfield(Userdata,'R_current')
    Userdata.R_current=[];
    Userdata.R_voltage=[];    
else
    Userdata.R_current = [Userdata.R_current CircuitGetCurrent(Circuit,'R1')];
    Userdata.R_voltage = [Userdata.R_voltage CircuitGetVoltage(Circuit,4,5)];
end
